*start
[cm]

;メッセージレイヤ・メニューボタン・fixレイヤーを非表示にします。
[layopt layer=message0 visible=false]
[layopt layer=1 visible=false]

;前景レイヤーを表示する
[layopt layer=2 visible=true]
[layopt layer=3 visible=true]
[layopt layer=4 visible=true]
;レイヤー番号は適当です。他ですでに使用している場合は、さらに上の階層へ変更してください。

;背景画像の切り替え
;背景画像は、ティラノスクリプトに同梱されている背景画像と同じものです。
;立ち絵などの上にフェードで表示させるため、[chara_show]タグを使います。背景画像は｢fgimage｣フォルダへ入れてください。
[chara_new name="menu" storage="コンフィグ.jpg"]
[chara_show name="menu" layer=2 left=0 top=0 time=2000]

;各見出しの文字をptextで描画
[ptext layer=3 text="BGM" size=30 x=100 y=150 color=white]
[ptext layer=3 text="SE" size=30 x=100 y=250 color=white]

*select
;BGMのON/OFF切り替え
[if exp="sf.BGM=='OFF'"]
[glink color="black" text="OFF" target=*BGM_ON x=180 y=150 width=400 height=15 size=20 clickse="decision5.ogg"]
[else]
[glink color="rosy" text="ON" target=*BGM_OFF x=180 y=150 width=400 height=15 size=20 clickse="decision5.ogg"]
[endif]

;SEのON/OFF切り替え
[if exp="sf.SE=='OFF'"]
[glink color="black" text="OFF" target=*SE_ON x=180 y=250 width=400 height=15 size=20 clickse="decision5.ogg"]
[else]
[glink color="rosy" text="ON" target=*SE_OFF x=180 y=250 width=400 height=15 size=20 clickse="decision5.ogg"]
[endif]


;コンフィグ画面から戻ります。
[button graphic="ボタンa.png" enterimg="ボタンa2.png" enterse="decision3.ogg" clickse="decision5.ogg" target=*back x=5 y=10]
[s]

*BGM_ON
[cm]
[freeimage layer = 4]
[iscript]
/*BGMを再生する*/
TG.stat.play_bgm = true;
[endscript]
;ここで変数を設定すると、ゲーム開始時やロード時に設定を引き継ぐことができます(詳しくは、同梱されたmake.ksをご参照ください)。
[eval exp="sf.BGM='ON'"]
[ptext layer=4 text="*BGMを｢再生する｣に設定しました。" size=20 x=250 y=500 color=white]
[jump target=*select]

*BGM_OFF
[cm]
[freeimage layer = 4]
[iscript]
/*BGMを再生しない*/
TG.stat.play_bgm = false;
[endscript]
;BGMを停止します。
[fadeoutbgm time=1000]
;ここで変数を設定すると、ゲーム開始時やロード時に設定を引き継ぐことができます(詳しくは、同梱されたmake.ksをご参照ください)。
[eval exp="sf.BGM='OFF'"]
[ptext layer=4 text="*BGMを｢再生しない｣に設定しました。" size=20 x=250 y=500 color=white]
[jump target=*select]


*SE_ON
[cm]
[freeimage layer = 4]
[iscript]
/*効果音を再生する*/
TG.stat.play_se = true;
[endscript]
;ここで変数を設定すると、ゲーム開始時やロード時に設定を引き継ぐことができます(詳しくは、同梱されたmake.ksをご参照ください)。
[eval exp="sf.SE='ON'"]
[ptext layer=4 text="*SEを｢再生する｣に設定しました。" size=20 x=250 y=500 color=white]
[jump target=*select]

*SE_OFF
[cm]
[freeimage layer = 4]
[iscript]
/*効果音を再生しない*/
TG.stat.play_se = false;
[endscript]
;SEを停止します。
[stopse]
;ここで変数を設定すると、ゲーム開始時やロード時に設定を引き継ぐことができます(詳しくは、同梱されたmake.ksをご参照ください)。
[eval exp="sf.SE='OFF'"]
[ptext layer=4 text="*SEを｢再生しない｣に設定しました。" size=20 x=250 y=500 color=white]
[jump target=*select]




*back
[cm]
;ptextの文字を削除します。
[freeimage layer = 3]
[freeimage layer = 4]

;背景画像を消去します。
[chara_hide name="menu" time=500 layer=2]


;元の画面に戻ります。
@jump storage="タイトル.ks" target=*オプション